function bmp2png
%BMP2PNG Converts all .BMP images in the current folder to the .PNG format
% This script works for both truecolor images and indexed (palette) images
%
% Author: Koen van de Sande
files = dir('*.bmp');
for i = 1:size(files,1)
    filename = files(i).name;
    [pathstr,name,ext,versn] = fileparts(filename);
    newname = fullfile(pathstr,[name '.png' versn]);
    info = imfinfo(filename);
    if(strcmp(info.ColorType,'indexed'))
        [X,map] = imread(filename);
        img = ind2rgb(X,map);
    else
        img = imread(filename);
    end
    imwrite(img,newname,'png');
end