function calibrate_sequence(prefix, suffix, startnumber, dX, dY, wintx, winty)
% Do a series of extrinsic calibrations
% dX and dY are the sizes in millimeters of the area selected (note: not of
% the square, that is standard, but we 'patch' the detection so that the
% area selected is just one big square)
% wintx and winty are the sizes of the area searched by the corner detector
% around the point you have selected.. For webcams, 10 is a nice value; 
% for the digital camera I used 18.
% If reference points are not visible in an image, then close all open
% figures in MatLab, and calibrate_extrinsic will crash (and no calibration
% will be stored for that image). The sequence will continue normally.
%
% Note: your images and the file Calib_results.m have to be in the current 
% folder as these are used by the calibrate_extrinsic function

i = startnumber;
while true
    filename = [prefix int2str(i)]
    if isempty(dir([filename suffix]))       % if we run out of images...
        break
    end
    try
        calibrate_extrinsic(filename, suffix, dX, dY, wintx, winty);
    catch
        % just ignore errors
    end
    i = i + 1;
end