function [accept, color] = voxelcolor_matlab_consistencycheck(pixelCount, pixels, imageCount, imageBoundaries)
% A consistency check for voxel coloring which can be used from the
% C++ Matlab DLL implementation.
%
% input:
%   pixelCount      - number of pixels the voxel projects to
%   pixels          - the actual pixels (an array of type UINT32)
%                     They are encoded in a single integer:
%                     8 bits for every channel
%                     While there are just 3 channels in the lower 24 bits,
%                     the upper 8 bits are used internally as well so you
%                     cannot count on them to be empty.
%   imageCount      - number of images the pixels come from
%   imageBoundaries - can be used to determine which image a pixel comes from
%
% output:
%   accept  - 1 or 0 boolean value whether this voxel is consistent
%   color   - color to be assigned to the consistent voxel as a 1x3 vector
%             of RGB values in the range [0-255].

accept = 0;
color = [0 255 0];

% do something useful here...
accept = 1;