function [x, y] = voxelcolor_matlab_projectvoxel(p, calibration)
% This function will be called from the C++ MatLab DLL to project 3D voxels
% (or points) to a 2D image. This function is only used when the compile define
% CV_ASSIGNMENT is set.
%
% input:
%   p               - 3D points, size (4xn) with n the number of points to
%                     be projected
%   calibration     - all calibration parameters, originally coming from the
%                     .CPCC file. If it has 19 elements, then it is the Tsai
%                     model; if it has 22 then it is the Bouget model.
%                     For the Bouget model the elements are:
%                     fc1,fc2,cc1,cc2,alphac,kc1,kc2,kc3,kc4,kc5,
%                     R11,R12,R13,R21,R22,R23,R31,R32,R33,T1,T2,T3
%
% output:
%   x  - X coordinates of the points in p projected to 2D
%   y  - Y coordinates of the points in p projected to 2D
pX = p(1,:);
pY = p(2,:);
pZ = p(3,:);

% perform the projection here...

x = pX;
y = pY;
return