function voxelcolor_save_volume(filename, voxels)
% Saves a voxel array (4D) to disk
%
% input:
%   filename  - file on disk the voxel volume will be saved to
%   voxels    - 4D voxel array, 4th dimension is (visible)-R-G-B.
%               The first 3 dimensions are X Y Z coordinates.
%               Visible should be expressed as 0 or 1; RGB channels should
%               be expressed as values ranging 0-255.
%
% Note:
%   The volume on disk can be viewed using VoxelViewer.

fid = fopen(filename,'w');

fwrite(fid,squeeze(size(voxels))','uint32');

% dump the entire voxels array to file
for x = 1:size(voxels,1)
    for y = 1:size(voxels,2)
        fwrite(fid,squeeze(voxels(x,y,:,:))','uint8');
    end
end
fclose(fid);
