% Machine Vision assignment
% by Koen van de Sande and Rein van den Boomgaard
% University of Amsterdam
% go to http://www.science.uva.nl/~rein or http://voxelcoloring.sf.net

  % point this to where you installed the datasets/viewer
  dataset = 'L:/VCF/datasets/roos_web.dataset';
  GVoxelViewer = 'L:/VCF/voxelview/voxelviewer.exe';

  % Voxel coloring space settings
%  vcs.resolution = [60 35 35];
  vcs.resolution = [24 14 14];     % use this in combination with matlab consistency check (performance reasons)
  vcs.minimum = [15 10 0];         % lowest X,Y,Z value to use
  vcs.maximum = [135 80 70];       % maximum X,Y,Z value to use
  vcs.direction = [1 1 -1];        % z in negative direction (do not change)
  vcs.order = [2 0 1];             % change axis traversal order (do not change)

  % Choose your consistency check
  parameters = [0 45];      % use original consistency check
%  parameters = [4 0];       % use (your own) matlab consistency check

% enable caching
if ~exist('diskMode')          % if variable diskmode does not yet exist
    diskMode = 1;
    % this file on the local harddrive will be used. If you get errors then 
    % probably somebody else left their cache.mat floating around which you
    % cannot delete; fix this by changing the filename below to something which
    % does not yet exist (for example C:/Temp/cache_loginname.mat)
    imageCache = 'C:/Temp/cache.mat';  % use the default cache - you can have multiple
                               % if you use different filenames
end

% perform the actual reconstruction
[diskMode, imageCache] = voxelcolor_reconstruct(dataset, vcs, parameters, diskMode, imageCache);

% Launch the voxel viewer
system([GVoxelViewer ' reconstruction.voxelraw']);
